Subject: Replace gnus-yes-or-no-p with yes-or-no-p?

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 15 Nov 2017 17:49:47 -0800

Gnus has the following defined:

(defun gnus-y-or-n-p (prompt)
  (prog1
      (y-or-n-p prompt)
    (message "")))
    
(defun gnus-yes-or-no-p (prompt)
  (prog1
      (yes-or-no-p prompt)
    (message "")))

I wonder if I'm missing something here: for the life of me I can't see
how the behavior is different from the built-ins. The built-ins don't
put anything in the minibuffer, why would we'd have to blank it? Is this
historical?

I'm putting this on my list of little Gnus tweaks to eventually commit,
unless someone points out why I shouldn't.

Gnus v5.13
GNU Emacs 27.0.50 (build 5, x86_64-pc-linux-gnu, GTK+ Version 3.22.25)
 of 2017-11-09